Create share

This API creates a single shared resource or multiple shared resources depending on the format of the request data.

To share a resource that you own, omit the owner_id field, and use the user_email field to specify the receiver of the share.
To (as an admin) create a share between two users, use the owner_id field to specify the owner of the shared resource, and the user_email field to specify the receiver of the share. In either case, the user_email must exist within the OEM account. If resource_name is device, then resource_id must be a dsn.

To create multiple shared resources with a single call to this API, use an array in the request data. The following example request uses the default template:

{
  "shares": [
    {
      "resource_name": "",
      "resource_id": "",
      "role_name": "",
      "user_email": "",
      "owner_id": 0,
      "operation": "",
      "start_date_at": "",
      "end_date_at": ""
    }
  ]
}

You can create a share using a specific template using the "email_template_id" parameter as a query parameter.

NOTE: A user can’t have more than one share for the same resource_name, resource_id.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

Custom email template to be used while sending the email to the target user.

Body Params
share
array of objects
required
share*
Responses

401

Unauthorized

404

Not Found

422

Unprocessable Entity

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json